Package org.eclipse.birt.chart.script.api.series.data

# Interface IGanttData

All Superinterfaces:
  `ISeriesData`

public interface IGanttData extends ISeriesData
Represents the data contained in the Gantt Series

## Method Summary

Modifier and Type
Method
Description
`String`
`getFinishExpr()`
Gets the expression of Finish date.
`String`
`getStartExpr()`
Gets the expression of Start date.
`String`
`getTaskNameExpr()`
Gets the expression of Task name.
`void`
`setFinishExpr(String expr)`
Sets the query expression of Finish date.
`void`
`setStartExpr(String expr)`
Sets the query expression of Start date.
`void`
`setTaskNameExpr(String expr)`
Sets the query expression of Task name.

## Method Details

### getTaskNameExpr

String getTaskNameExpr()
Gets the expression of Task name.

Returns:
  task name expression

### getStartExpr

String getStartExpr()
Gets the expression of Start date.

Returns:
  Start date expression

### getFinishExpr

String getFinishExpr()
Gets the expression of Finish date.

Returns:
  Finish date expression

### setTaskNameExpr

void setTaskNameExpr(String expr)
Sets the query expression of Task name.

Parameters:
  `task` - name expression

### setStartExpr

void setStartExpr(String expr)
Sets the query expression of Start date.

Parameters:
  `Start` - date expression

### setFinishExpr

void setFinishExpr(String expr)
Sets the query expression of Finish date.

Parameters:
  `Finish` - date expression